DSELECT(8)

NAMN
dselect - konsolbaserat pakethanteringssystem för Debian

SYNOPS
dselect [--admindir <katalog>] [--help] [--version] [--licence | --license] [--expert] [--debug <fil> | -D <fil>] [<handling>]

BESKRIVNING
dselect är det primära användargränssnittet för att installera, ta bort och hantera paket i Debian GNU/Linux. Det är ett skal runt dpkg(8). Vanligtvis anropas dselect utan parametrar, men några kommandoradsflaggor finns ändå att tillgå.

Dselect är rätt självförklarande, och det medföljande interna hjälpsystemet beskriver tangentbordskombinationer och grundläggande koncept. Läs hjälpen.

  HANDLINGAR

Access
    (Åtkomst) Väljer en "åtkomstmetod" för att komma åt paketsamlingen. Som standard finns flera olika metoder, såsom "floppy" (diskett), "harddisk" (hårddisk) och "cdrom", men andra paket du installerar kan tillhandahålla ytterligare metoder, t.ex "apt" eller "multi_cd" osv.

Update
    (Uppdatera) Uppdaterar listan över paket dpkg/dselet kan komma åt med data från den valda paketsamlingens Packages-fil(er).

Select
    (Välj) Väljer de individuella paket som skall installeras.

Install
    (Installera) Installerar valda paket.

Config
    (Konfigurera) Konfigurera paket som ännu ej konfigurerats.

Remove
    (Radera) Tar bort eller helt raderar avmarkerade paket.

Quit
    (Avsluta) Avslutar dselect (lyckat).

FLAGGOR

--admindir <katalog>
    Ändrar namnet på katalogen där dpkg letar efter filerna "status", "available" m.fl. Förval är /var/lib/dpkg och du bör normalt sett inte behöva ändra det.

--debug <fil> | -D<fil>
    Slå på felsökningsläge. Felsökningsinformation lagras i <fil>.

--expert
    Slår på expertläge, dvs. visar inte hjälpmeddelanden som kanske kan vara irriterande.

--help
    Visar en kort hjälptext och ger lyckat avslut.

--licence | --license
    Visar upphovsrättslig och licensinformation om dselect, och ger lyckat avslut.

--version
    Visar versionsinformation och ger lyckat avslut.

PROGRAMFEL
The dselect package selection interface is confusing or even alarming to a new user.

dselect hanterar inte Recommends:-fältet speciellt bra, och förstår inte alls Replaces:.

Det finns inte något enkelt sätt att automatiskt hämta och installera paket via anonym ftp med de normala åtkomstmetoderna (APT stöder det).

SE ÄVEN
dpkg(8), deb(5).

FÖRFATTARE
dselect skrevs av (ijackson@gnu.ai.mit.edu). En komplett lista över bidragslämnare får du med "dselect --license".
Denna manualsida skrevs av Juho Vuori <javuori@cc.helsinki.fi>, uppdaterades av Josip Rodin och översattes av Peter Karlsson.